Subject: [core] Token option

From: "Angelo P. Castellani" <[email-masked]>
Date: Fri, 11 Mar 2011 17:06:46 +0100

In my current understading of coap-04, Token option must be used by a
client when emitting multiple concurrent CoAP requests to the same
CoAP server from the same source UDP port.

By looking better at coap-04 seems that this is needed because a
client may receive out-of-order deferred responses to concurrent
requests.

In observe-01 this is needed to support a client opening concurrent
observe sessions from the same source UDP port.

If my understanding is correct and given the fact that handling Token
option is an added complexity for servers and clients (and introduces
overhead).

Why we cannot define that concurrent client sessions to the same
server MUST use different source UDP port?

This seems to me a successfully adopted assumption in other protocols.

Best,
Angelo